@use 'sass:math';

.rui-icon {
  display: inline-block;
  width: 1em;
  height: 1em;
  flex: none;
  fill: currentcolor;
  line-height: 1em;
  text-decoration: none;

  &--spin {
    animation: spin 1s infinite linear;
  }

  &--3x {
    font-size: 3em;
  }

  &--4x {
    font-size: 4em;
  }

  &--10x {
    font-size: 10em;
  }
}
